> For the complete documentation index, see [llms.txt](https://docs.ierc20.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ierc20.com/new-features/ierc-pow/phrase-i-pow-base.md).

# Phrase I: PoW - Base

### Workc & MintHash

IERC PoW builds upon the IERC native protocol by introducing the "workc" field to describe the mining output difficulty. Only Mint Transaction Hashes that meet the workc format are recognized by indexers. All indexers strictly adhere to this rule.

Apart from workc, no other complex or unreasonable concepts or changes have been introduced.

> Workc: Describes the mining output difficulty. Only transactions with hash headers meeting this rule will be included.
>
> MintHash: Refers to the transaction hash that complies with the [Mint operation in IERC Protocols](https://docs.ierc20.com/developers/mint).

For instance, if you want to mine ierc-m4 inscriptions, your Mint Transaction Hash must start with "0x0000".

```jsx
const regex = /^0x0000[a-fA-F0-9]{36}$/;
const isValidity = regex.test(mintHash)

// isValidity => true : 0x0000edd685500ca4c1c261e15a3267d364a4a9548966d45a70085c2cfba534b
// isValidity => false : 0xe6cc5edd685500ca4c1c261e15a3267d364a4a9548966d45a70085c2cfba534b
// isValidity => true : 0x0000000685500ca4c1c261e15a3267d364a4a9548966d45a70085c2cfba534b
```

### Deploy & Mint

Before proceeding, you need to understand the deployment mechanism of IERC20 inscriptions through the documentation.

Based on IERC20, you need to add a field called `workc` in the methods to explain the mining difficulty.

Like this:

```jsx
// deploy; send 0eth from self to 0x0000000000000000000000000000000000000000;
{    
	"p":"ierc-20", //protocol name: ierc20 | terc-20    
	"op":"deploy", //operation: deploy/mint/transfer/freeze_sell/proxy_transfer    
	"tick":"ierc-m4", //token tick, can't be repeatable, case insensitive.    
	"workc":"0x0000",    
	"max":"21000000", //max supply    
	"lim":"1000", //limit for each mint    
	"wlim":"10000", //limit for each address can maximum mint, address balance < deploy.wlim (Before mint, please do not receive transfers from others, transfers are also counted as balance)    
	"dec":"8", //decimal for minimum divie    
	"nonce":"0", //increasing interger
}
```

If you want to mint inscriptions, the data format follows the same mechanism as regular IERC20 inscriptions. Just ensure that your `mintHash` complies with `workc`.

##

#### **We have deployed two sets of PoW experience** inscriptions **on the Ethereum mainnet:**

> ⚠️ Notice: These inscriptions are not official targets in any form, and any market activities associated with them are unrelated to the official project.

* ierc-m4: Requires a mining threshold difficulty of "0x0000".
* Ierc-m5: Requires a mining threshold difficulty of "0x00000".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ierc20.com/new-features/ierc-pow/phrase-i-pow-base.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
